
.checkbox_animated {
    cursor: pointer;
    position: relative;
    margin: 0 20px 0 0;
}
.checkbox_animated:checked:before {
    -webkit-transform: rotate(-45deg) scale(1);
    transform: rotate(-45deg) scale(1);
}
.checkbox_animated:before {
    -webkit-transition: -webkit-transform .4s cubic-bezier(.45,1.8,.5,.75);
    transition: -webkit-transform .4s cubic-bezier(.45,1.8,.5,.75);
    transition: transform .4s cubic-bezier(.45,1.8,.5,.75);
    transition: transform .4s cubic-bezier(.45,1.8,.5,.75),-webkit-transform .4s cubic-bezier(.45,1.8,.5,.75);
    -webkit-transform: rotate(-45deg) scale(0);
    transform: rotate(-45deg) scale(0);
    content: "";
    position: absolute;
    left: 0.25rem;
    top: 0.225rem;
    z-index: 1;
    width: 0.75rem;
    height: 0.375rem;
    border-color: var(--primary);
    border-style: none none solid solid;
    border-width: 2px;
}
.checkbox_animated:after {
    content: "";
    position: absolute;
    top: -0.125rem;
    left: 0;
    width: 1.3rem;
    height: 1.3rem;
    background: #fff;
    border: 2px solid #e8ebf2;
    cursor: pointer;
}


// css todo app
.todo-input {
    padding: 10px 10px;
    border-bottom: 1px solid #ccc;
    border-right: 1px solid #ccc;
    border-radius: 5px;
}
.todo-list{
    padding: 15px 0;
}
.close {
    position: absolute;
    right: 0;
    top: 0;
    padding: 12px 16px 12px 16px;
    &:hover {
        color: var(--light);
        background-color: var(--theme-color);
    }
}
.todo-item{
    cursor: pointer;
    position: relative;
    padding: 12px 8px 12px 12px;
    list-style-type: none;
    background:#f6f6f68a;
    transition: 0.2s;
    margin: 10px 0;
}
